- name: Install web server
  apt:
    name: '{{item}}'
    state: present 
  with_items:
    - '{{web_server}}'
  notify: start webserver
  tags:
    - ossec_wui
    - ossec

- name: Download ossec web UI
  get_url:
    url: '{{webui_url}}'
    dest: '{{webui_path}}'
  tags:
    - ossec_wui
    - ossec

- name: Extract Ossec web UI code
  unarchive:
    src: "{{webui_path}}/ossec-wui-master.zip"
    dest: "{{extract_path}}"
    remote_src: yes
    #creates: '{{webui_install_path}}'
  tags:
    - ossec_wui
    - ossec


- name: Move the extracted web UI to document root
  command: mv '{{webui_path}}/ossec-wui-master' '{{webui_install_path}}'